Name:           oracle-jdbc-thin
Version:        9.2.0.3
Release:        1jpp
Epoch:          0
Summary:        Oracle9i 9.2.0.3 JDBC Drivers

Group:          System Environment/Libraries
License:        Proprietary
Distribution:   JPackage
Vendor:         JPackage Project
URL:            http://otn.oracle.com/software/tech/java/sqlj_jdbc/index.html
Source0:        javadoc.tar
NoSource:       0
Source1:        RDBMS_9203_JDBC_Readme.htm
NoSource:       1
Source2:        ojdbc14.jar
NoSource:       2
Source3:        ojdbc14_g.jar
NoSource:       3
Source4:        classes12.zip
NoSource:       4
Source5:        classes12_g.zip
NoSource:       5
Source6:        classes12dms.jar
NoSource:       6
Source7:        classes12dms_g.jar
NoSource:       7
Source8:        ocrs12.zip
NoSource:       8
Source9:        nls_charset12.zip
NoSource:       9
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.32
Requires:       java, jpackage-utils >= 0:1.5.32

%description
This package provides the 100% Java JDBC connectivity files as 
available at Oracle's SQLJ/JDBC Download Page. It is intended 
to provide a lightweight alternative to a full Oracle client 
installation. It is by no means thoroughly tested nor
is it endorsed by Oracle. Use at your own risk.

This package doesn't include the libraries needed for JNI oci 
connectivity but generic additional rowset support is included.


%package javadoc
Summary:        Javadoc for Official JDBC thin drivers for Oracle
Group:          Development/Documentation

%description    javadoc
This package provides the Javadoc for JDBC connectivity files as 
available at Oracle's SQLJ/JDBC Download Page. 


%package java12
Summary:        Official Java 1.2/1.3 JDBC thin driver for Oracle
Group:          System Environment/Libraries
Requires:       jpackage-utils >= 0:1.5.32, java >= 0:1.3.0, java < 0:1.4.0

%description    java12
This package provides the 100% Java JDBC connectivity files as 
available at Oracle's SQLJ/JDBC Download Page. It is intended 
to provide a lightweight alternative to a full Oracle client 
installation. It is by no means thoroughly tested nor
is it endorsed by Oracle. Use at your own risk.

This package includes the jars needed for generic java 1.2/1.3 
thin driver connectivity.


%package java12-debug
Summary:        Official Java 1.2/1.3 JDBC thin driver for Oracle, debug enabled
Group:          System Environment/Libraries
Requires:       jpackage-utils >= 0:1.5.32, java >= 0:1.3.0, java < 0:1.4.0

%description    java12-debug
This package provides the 100% Java JDBC connectivity files as 
available at Oracle's SQLJ/JDBC Download Page. It is intended 
to provide a lightweight alternative to a full Oracle client 
installation. It is by no means thoroughly tested nor
is it endorsed by Oracle. Use at your own risk.

This package includes the jars needed for generic java 1.2/1.3 
thin driver connectivity with debug/trace enabled.


%package java14
Summary:        Official Java 1.4 JDBC thin driver for Oracle
Group:          System Environment/Libraries
Requires:       jpackage-utils >= 0:1.5.32, java >= 0:1.4.0, java < 0:1.5.0
 
%description    java14
This package provides the 100% Java JDBC connectivity files as 
available at Oracle's SQLJ/JDBC Download Page. It is intended 
to provide a lightweight alternative to a full Oracle client 
installation. It is by no means thoroughly tested nor
is it endorsed by Oracle. Use at your own risk.

This package includes the jars needed for generic java 1.4 
thin driver connectivity.


%package java14-debug
Summary:        Official Java 1.4 JDBC thin driver for Oracle, debug enabled
Group:          System Environment/Libraries
Requires:       jpackage-utils >= 0:1.5.32, java >= 0:1.4.0, java < 0:1.5.0
 
%description    java14-debug
This package provides the 100% Java JDBC connectivity files as 
available at Oracle's SQLJ/JDBC Download Page. It is intended 
to provide a lightweight alternative to a full Oracle client 
installation. It is by no means thoroughly tested nor
is it endorsed by Oracle. Use at your own risk.

This package includes the jars needed for generic java 1.4 
thin driver connectivity with debug/trace enabled.


%package java12-dms
Summary:        Official Java 1.2/1.3 JDBC thin driver for use with Oracle Enterprise Manager
Group:          System Environment/Libraries
Requires:       jpackage-utils >= 0:1.5.32, java >= 0:1.3.0, java < 0:1.4.0

%description    java12-dms
This package provides the 100% Java JDBC connectivity files as 
available at Oracle's SQLJ/JDBC Download Page. It is intended 
to provide a lightweight alternative to a full Oracle client 
installation. It is by no means thoroughly tested nor
is it endorsed by Oracle. Use at your own risk.

This package includes the jars needed for generic java 1.2/1.3 
thin driver connectivity in connection with Oracle Enterprise Manager.


%package java12-dms-debug
Summary:        Official Java 1.2/1.3 JDBC thin driver for use with Oracle Enterprise Manager, debug enabled
Group:          System Environment/Libraries
Requires:       jpackage-utils >= 0:1.5.32, java >= 0:1.3.0, java < 0:1.4.0

%description    java12-dms-debug
This package provides the 100% Java JDBC connectivity files as 
available at Oracle's SQLJ/JDBC Download Page. It is intended 
to provide a lightweight alternative to a full Oracle client 
installation. It is by no means thoroughly tested nor
is it endorsed by Oracle. Use at your own risk.

This package includes the jars needed for generic java 1.2/1.3 
thin driver connectivity in connection with Oracle Enterprise Manager
with debug/trace enabled.


%prep

%setup -n %{name}-%{version}-%{release} -c -T
mkdir -p docs/api
(cd docs/api
tar -xf %{SOURCE0}
)
cp %{SOURCE1} docs/RDBMS_9203_JDBC_Readme.html
mkdir lib
cp %{SOURCE2} lib
cp %{SOURCE3} lib
cp %{SOURCE4} lib/classes12.jar
cp %{SOURCE5} lib/classes12_g.jar
cp %{SOURCE6} lib
cp %{SOURCE7} lib
cp %{SOURCE8} lib/ocrs12.jar
cp %{SOURCE9} lib/nls_charset12.jar

%install
rm -rf ${RPM_BUILD_ROOT}

install -d -m 0755 ${RPM_BUILD_ROOT}%{_javadir}
install -d -m 0755 ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
install -d -m 0755 ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}
install -d -m 0755 ${RPM_BUILD_ROOT}%{_jnidir}-{ext,1.3.0,1.3.1,1.4.0,1.4.1,1.4.2}

install -m 0644 lib/classes12.jar ${RPM_BUILD_ROOT}%{_jnidir}-ext/%{name}-java12-%{version}.jar
install -m 0644 lib/classes12_g.jar ${RPM_BUILD_ROOT}%{_jnidir}-ext/%{name}-java12-debug-%{version}.jar
install -m 0644 lib/classes12dms.jar ${RPM_BUILD_ROOT}%{_jnidir}-ext/%{name}-java12-dms-%{version}.jar
install -m 0644 lib/classes12dms_g.jar ${RPM_BUILD_ROOT}%{_jnidir}-ext/%{name}-java12-dms-debug-%{version}.jar
install -m 0644 lib/nls_charset12.jar  ${RPM_BUILD_ROOT}%{_jnidir}-ext/%{name}-nls-java12-%{version}.jar
install -m 0644 lib/ojdbc14.jar ${RPM_BUILD_ROOT}%{_jnidir}-ext/%{name}-java14-%{version}.jar
install -m 0644 lib/ojdbc14_g.jar ${RPM_BUILD_ROOT}%{_jnidir}-ext/%{name}-java14-debug-%{version}.jar
install -m 0644 lib/ocrs12.jar ${RPM_BUILD_ROOT}%{_javadir}/%{name}-ocrs-%{version}.jar

cp -pr docs/api/* ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} ${RPM_BUILD_ROOT}%{_javadocdir}/%{name} # ghost symlink

cp docs/RDBMS_9203_JDBC_Readme.html ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}

# Symlink madness
pushd ${RPM_BUILD_ROOT}%{_jnidir}-ext
   for jar in *-%{version}.jar ; do
      ln -s ${jar} $(echo $jar | sed "s+-%{version}.jar+.jar+g")
   done
popd
pushd ${RPM_BUILD_ROOT}%{_javadir}
   ln -s %{name}-ocrs-%{version}.jar %{name}-ocrs.jar
popd

# Register jars in in the correct version-specific directories
pushd ${RPM_BUILD_ROOT}%{_jnidir}-ext
for ending in .jar -%{version}.jar ; do
   for javaver in 1.3.0 1.3.1 ; do
      pushd ${RPM_BUILD_ROOT}%{_jnidir}-$javaver
         ln -s %{_jnidir}-ext/%{name}-java12$ending %{name}$ending
         ln -s %{_jnidir}-ext/%{name}-java12-debug$ending %{name}-debug$ending
         ln -s %{_jnidir}-ext/%{name}-java12-dms$ending %{name}-dms$ending
         ln -s %{_jnidir}-ext/%{name}-java12-dms-debug$ending %{name}-dms-debug$ending
         ln -s %{_jnidir}-ext/%{name}-nls-java12$ending %{name}-nls$ending
      popd
   done
   for javaver in 1.4.0 1.4.1 1.4.2 ; do
      pushd ${RPM_BUILD_ROOT}%{_jnidir}-$javaver
         ln -s %{_jnidir}-ext/%{name}-java14$ending %{name}$ending
         ln -s %{_jnidir}-ext/%{name}-java14-debug$ending %{name}-debug$ending
      popd
   done
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc docs/RDBMS_9203_JDBC_Readme.html
%defattr(0755,root,root,0755)
%{_javadir}/*.jar

%files java12
%defattr(0644,root,root,0755)
%{_jnidir}-1.3.0/%{name}-nls-%{version}.jar
%{_jnidir}-1.3.0/%{name}-%{version}.jar
%{_jnidir}-1.3.0/%{name}-nls.jar
%{_jnidir}-1.3.0/%{name}.jar
%{_jnidir}-1.3.1/%{name}-nls-%{version}.jar
%{_jnidir}-1.3.1/%{name}-%{version}.jar
%{_jnidir}-1.3.1/%{name}-nls.jar
%{_jnidir}-1.3.1/%{name}.jar
%{_jnidir}-ext/%{name}-nls-java12-%{version}.jar
%{_jnidir}-ext/%{name}-java12-%{version}.jar
%{_jnidir}-ext/%{name}-nls-java12.jar
%{_jnidir}-ext/%{name}-java12.jar

%files java12-debug
%defattr(0644,root,root,0755)
%{_jnidir}-1.3.0/%{name}-debug-%{version}.jar
%{_jnidir}-1.3.0/%{name}-debug.jar
%{_jnidir}-1.3.1/%{name}-debug-%{version}.jar
%{_jnidir}-1.3.1/%{name}-debug.jar
%{_jnidir}-ext/%{name}-java12-debug-%{version}.jar
%{_jnidir}-ext/%{name}-java12-debug.jar

%files java12-dms
%defattr(0644,root,root,0755)
%{_jnidir}-1.3.0/%{name}-dms-%{version}.jar
%{_jnidir}-1.3.0/%{name}-dms.jar
%{_jnidir}-1.3.1/%{name}-dms-%{version}.jar
%{_jnidir}-1.3.1/%{name}-dms.jar
%{_jnidir}-ext/%{name}-java12-dms-%{version}.jar
%{_jnidir}-ext/%{name}-java12-dms.jar

%files java12-dms-debug
%defattr(0644,root,root,0755)
%{_jnidir}-1.3.0/%{name}-dms-debug-%{version}.jar
%{_jnidir}-1.3.0/%{name}-dms-debug.jar
%{_jnidir}-1.3.1/%{name}-dms-debug-%{version}.jar
%{_jnidir}-1.3.1/%{name}-dms-debug.jar
%{_jnidir}-ext/%{name}-java12-dms-debug-%{version}.jar
%{_jnidir}-ext/%{name}-java12-dms-debug.jar

%files java14
%defattr(0644,root,root,0755)
%{_jnidir}-1.4.0/%{name}-%{version}.jar
%{_jnidir}-1.4.0/%{name}.jar
%{_jnidir}-1.4.1/%{name}-%{version}.jar
%{_jnidir}-1.4.1/%{name}.jar
%{_jnidir}-1.4.2/%{name}-%{version}.jar
%{_jnidir}-1.4.2/%{name}.jar
%{_jnidir}-ext/%{name}-java14-%{version}.jar
%{_jnidir}-ext/%{name}-java14.jar

%files java14-debug
%defattr(0644,root,root,0755)
%{_jnidir}-1.4.0/%{name}-debug-%{version}.jar
%{_jnidir}-1.4.0/%{name}-debug.jar
%{_jnidir}-1.4.1/%{name}-debug-%{version}.jar
%{_jnidir}-1.4.1/%{name}-debug.jar
%{_jnidir}-1.4.2/%{name}-debug-%{version}.jar
%{_jnidir}-1.4.2/%{name}-debug.jar
%{_jnidir}-ext/%{name}-java14-debug-%{version}.jar
%{_jnidir}-ext/%{name}-java14-debug.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Tue Mar 30 2004 Ralph Apel <r.apel (at) r-apel.de> - 0:9.2.0.3-1jpp
- Based on work from Nicolas Mailhot <Nicolas.Mailhot (at) laposte.net> 
  on oracle-jdbc-9.2.0.4-1jpp.noscr.rpm
- Initial RPM release
